"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const language_typescript_1 = require("@gql2ts/language-typescript");
const util_1 = require("@gql2ts/util");
exports.FLOW_WRAP_PARTIAL = partial => `$SHAPE<${partial}>`;
exports.FLOW_POST_PROCESSOR = str => `/* @flow */

${str}
`;
exports.FLOW_ENUM_TYPE = (name, values) => `type ${name} = ${values}`;
exports.FLOW_FORMAT_ENUM = values => util_1.filterAndJoinArray(values.map(({ name }) => `'${name}'`), ' | ');
exports.DEFAULT_OPTIONS = Object.assign({}, language_typescript_1.DEFAULT_OPTIONS, { wrapPartial: exports.FLOW_WRAP_PARTIAL, postProcessor: exports.FLOW_POST_PROCESSOR, enumTypeBuilder: exports.FLOW_ENUM_TYPE, formatEnum: exports.FLOW_FORMAT_ENUM });
exports.default = exports.DEFAULT_OPTIONS;
//# sourceMappingURL=index.js.map